// Copyright (c) 2019, the EOMarch project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

/// Contains several predefined validators for input
/// `notEmpty` and `moreOrEqual2`
///
/// This is a singleton class which was made for extensioning purpose
class Validators {
  factory Validators() => _instance;
  Validators._();

  static final _instance = Validators._();

  /// Validation will be set to [true] when given string `query` will be not empty
  final notEmpty = (String query) => query?.isNotEmpty == true;

  /// Validation will be set to [true] when given string `query` will be grater or equal to `2`
  final moreOrEqual2 = (String query) => (query?.length ?? 0) >= 2;
}
